std::unordered_set::emplace_hint(3)

NAME
std::unordered_set::emplace_hint - std::unordered_set::emplace_hint

Synopsis
   template <class... Args> (since C++11)
   iterator emplace_hint( const_iterator hint, Args&&... args );
   Inserts a new element to the container, using hint as a suggestion where the element
   should go. The element is constructed in-place, i.e. no copy or move operations are
   performed.
   The constructor of the element is called with exactly the same arguments as supplied
   to the function, forwarded with std::forward<Args>(args)....
   If rehashing occurs due to the insertion, all iterators are invalidated. Otherwise
   iterators are not affected. References are not invalidated. Rehashing occurs only if
   the new number of elements is greater than max_load_factor()*bucket_count().

Parameters
   hint - iterator, used as a suggestion as to where to insert the new element
   args - arguments to forward to the constructor of the element

Return value
   Returns an iterator to the newly inserted element.
   If the insertion failed because the element already exists, returns an iterator to
   the already existing element with the equivalent key.

Exceptions
   If an exception is thrown by any operation, this function has no effect (strong
   exception guarantee).

Complexity
   Amortized constant on average, worst case linear in the size of the container.

Example
    This section is incomplete
    Reason: no example

See also
   emplace constructs element in-place
   (C++11) (public member function)
           inserts elements
   insert or nodes
   (C++11) (since C++17)
           (public member function)